Package com.ocient.auth

# Class OpenIDAuthenticators.AuthorizationCodeCallbackResource

java.lang.Object
com.ocient.auth.OpenIDAuthenticators.AuthorizationCodeCallbackResource

Enclosing class:
  OpenIDAuthenticators

@Path("") public static class OpenIDAuthenticators.AuthorizationCodeCallbackResource extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CODE_CALLBACK_ENDPOINT`

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationCodeCallbackResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`handleCodeCallback(String code, String state, String error, String errorDescription)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CODE_CALLBACK_ENDPOINT

public static final String CODE_CALLBACK_ENDPOINT

See Also:
  - Constant Field Values

## Constructor Details

### AuthorizationCodeCallbackResource

public AuthorizationCodeCallbackResource()

## Method Details

### handleCodeCallback

@GET @Path("ocient/oauth2/v1/callback") @Produces("text/html") public jakarta.ws.rs.core.Response handleCodeCallback(@DefaultValue("") @QueryParam("code") String code, @DefaultValue("") @QueryParam("state") String state, @DefaultValue("internal_client_error") @QueryParam("error") String error, @DefaultValue("Something went wrong") @QueryParam("error_description") String errorDescription)